ByteChef LogoByteChef
Backend (API Key)Workflow Catalog

Get automation workflow projects available to a connected user identified by external user id

Get automation workflow projects available to a connected user identified by external user id.

GET
/{externalUserId}/automation/projects

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

externalUserId*string

The external user id.

Header Parameters

X-Environment?string

The environment.

Value in

  • "DEVELOPMENT"
  • "STAGING"
  • "PRODUCTION"

Response Body

application/json

curl -X GET "https://example.com/string/automation/projects"
[  {    "id": 0,    "name": "string",    "description": "string",    "workflowTemplates": [      {        "id": "string",        "label": "string",        "description": "string",        "components": [          {            "name": "string",            "title": "string",            "icon": "string"          }        ]      }    ]  }]

How is this guide?